// Slagalica.java - Klasa slagalica.

package slagalica;
import java.awt.*;
import java.awt.event.*;

public class Slagalica extends Frame {
  Label prik = new Label("00:00.0");            // Prikaziva toperice.
  private Stoperica stoperica = new Stoperica(prik); // Koriena toperica.
  private Tabla tabla = new Tabla(stoperica);   // Koriena tabla.
  
  public Slagalica() {                          // Inicijalizacija.
    super("Slagalica");
    setSize(198, 198);
    setResizable(false);
    popuniProzor();
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent d)
        { stoperica.zavrsi(); dispose(); }
    });
  }
  
  private void popuniProzor() {                 // Popunjavanje prozora.
    add(tabla, "Center");
    Panel plo = new Panel(); add(plo, "South");
    Button dgm = new Button("Nova igra");
    plo.add(dgm);
    dgm.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent d)
        { tabla.postavi(); }
    });
    plo.add(prik);
  }

  public static void main(String[] varg)        // Glavna funkcija.
    { new Slagalica(); }
}
