// AritmetikaT.java  Ispitivanje klasa numerikih podataka.

import aritmetika.*;

public class AritmetikaT {
  public static Matrica napravi(int m, int n) { // Stvaranje matrice
    Matrica matr = new Matrica(m, n);           //    celih brojeva.
    try {
      for (int i=0; i<m; i++)
        for (int j=0; j<n; j++)
          matr.postavi(i, j, new CeoBroj((int)(10*Math.random())));
    } catch (GNumInd g) {}
    return matr;
  }

  public static void main(String[] varg) {      // Glavna funkcija.
    try {
      Matrica a = napravi(2, 3);
      Matrica b = napravi(3, 4);
      Matrica c = a.proizvod(b);
      System.out.println(a);
      System.out.println(b);
      System.out.println(c);
    } catch (GNumericka g) {
      System.out.println(g);
    }
  }
}
