// StrujaT.java  Ispitivajne klasa elektrinih potraa.

import struja.*;
import usluge.Citaj;

public class StrujaT {
  private static Potrosac citaj() {             // itanje jednog potroaa:
    System.out.print("Tip (U,G,.)? ");
    switch (Citaj.Char()) {
      case 'u': case 'U': {                     // - ureaj,
        System.out.print("Vrsta? ");
        String v = Citaj.String();
        System.out.print("Snaga? ");
        double s = Citaj.Double();
        return new Uredjaj(v, s);
      }
      case 'g': case 'G': {                     // - grupa potroaa,
        Grupa g = new Grupa();
        Potrosac p = null;
        while ((p=citaj())!=null) g.dodaj(p);
        return g;
      }
      default: return null;                     // - "prazan" potroa.
    }
  }
  public static void main (String[] varg) {     // Glavna funkcija.
    System.out.print("Snaga izvora? ");
    double s = Citaj.Double();
    System.out.print("Broj prikljucaka? ");
    int k = Citaj.Int();
    Izvor izv = new Izvor(s, k);
    Potrosac p;
    int i;
    do {
      p = citaj();
      System.out.print("Prikljucak? ");
      i = Citaj.Int();
    } while (izv.prikljuci(p, i));
    System.out.print(izv);
  }
}
