// Masina.java - Klasa maina.

package lutrija2;
import java.awt.*;

public class Masina extends Panel {
  private Tocak[] niz;                    // Tokovi maine.
  private int n;                          // Broj korienih tokova.
  private boolean radi = false;           // Da li radi?

  public Masina(int kap) {                // Inicijalizacija.
    niz = new Tocak [kap];
    for (int i=0; i<kap; i++)
      add(niz[kap-i-1] = new Tocak((int)(10+Math.random()*41), i%2==0));
  }

  public void kreni(int n) {              // Pokretanje maine.
    if (!radi) {
      if (n<=0 || n>niz.length) n = niz.length;
      for (Tocak t: niz) t.brisi();
      radi = true;
      this.n = n;
      for (int i=0; i<n; i++) { niz[i].kreni(); }
    }
  }

  public String stani() {                 // Zaustavljanje maine.
    radi = false;
    String s = "";
    for (int i=0; i<n; s = niz[i++].cifra()+s);
    return s;
  }

  public void unisti()                    // Unitavanje maine.
    { for (Tocak t: niz) t.zavrsi (); }
}
