// Sef.java - Klasa efova.

package prodaja;

public class Sef extends Radnik {
  private Radnik[] podredjeni;                  // Niz podreenih.
  private int brPod = 0;                        // Broj podreenih.

  public Sef(String ime, double procenat, int kap) {
    super(ime, procenat);                       // Inicijalizacija.
    podredjeni = new Radnik [kap];
  }

  public boolean dodeli(Radnik r) {             // Dodela podreenog.
    if (brPod == podredjeni.length) return false;
    podredjeni[brPod++] = r; return true;
  }

  public double prihod() {                      // Prihod efa.
    double p = 0;
    for (int i=0; i<brPod; p+=podredjeni[i++].prihod());
    return p;
  }
}
