// Izvestac.java - Klasa izvestaca.

package skladiste2;

public class Izvestac extends Thread {
  private static int posId = 0;   // Poslednji identifikator.
  private int id = ++posId;       // Identifikator izvestaca.
  private Skladiste skladiste;    // Pridruzeno skladiste1.
  private int perioda;            // Perioda izvestavanja.

  public Izvestac(Skladiste sklad, int per) { // Inicijalizacija.
    perioda = per; skladiste = sklad;
  }
  
  public Izvestac(Skladiste sklad) 
    { this(sklad, 5000); }
  
  public void run() {                         // Telo niti.
    System.out.println("Izvest " + id + " krenuo");
    try {
      while (!interrupted()) {
        sleep(perioda);
        System.out.println("Izvest " + id + " [" + skladiste + "]");
      }
    } catch (InterruptedException g) {}
    System.out.println("Izvest " + id + " zavrsio");
  }
}